package com.lutao.cloud.collect.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lutao.cloud.collect.mapper.CollectLogMapper;
import com.lutao.cloud.collect.service.CollectLogService;
import com.lutao.entity.CollectLog;
import org.springframework.stereotype.Service;

@Service
public class CollectLogServiceImpl extends ServiceImpl<CollectLogMapper, CollectLog> implements CollectLogService {
    @Override
    public boolean saveCollectLog(String requestId, String appId, String command, Integer collectNumber, String tableName,String data) {
        CollectLog collectLog = new CollectLog();
        collectLog.setRequestId(requestId);
        collectLog.setAppId(appId);
        collectLog.setCommand(command);
        collectLog.setTableName(tableName);
        collectLog.setCollectNumber(collectNumber);
        collectLog.setData(data);
        return this.save(collectLog);

    }
}
